MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007928Community[OCCT] OCCT:Visualizationpublic2005-01-31 07:592014-11-10 12:18
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0007928: Forum 7411: Improved display lists management for the trihedron display
DescriptionThis improvement has been reported by Open Source community user Sangsu Lee on
the Forum, see thread 7411:

http://www.opencascade.org/org/forum/thread_7411 [^]

The idea is not to re-create display lists for drawing trihedron arrows each
time a 3D view is updated.
Instead, a map-like behavior could be implemented (unfortunately, available
object-oriented map implementations cannot be re-used in C code of OpenGl
package), with an OpenGL rendering context (GLRC) ID being a key, and a
structure containing current geometrical trihedron parameters and current
display list ID(s) being a data.

When some of trihedron's geometrical parameters changes for the given GLRC,
corresponding display lists could be replaced with new ones, and old ones
deleted.

During view updates, existing display lists could be re-used, with help of
their IDs taken from the map.

On 3D view destruction, it is necessary to take care of removing trihedron data
for relevant GLRC.

Original posting:

-----------------------
Sangsu Lee:

To OCC developers,

I think this code can be improved.
If we make the display lists only when it is made at first or user redefine the
triedron, and just call the lists when redrawing, and destroy it in the
v3d_viewer's destructor, it would be more fast and efficient.

Currently, it is always recreated and deleted again and it is not so efficient.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0007726closed Community Forum 7411: Memory leak with the trihedron display 
related to 0024291closedapn Open CASCADE Visualization - move Z-buffer trihedron presentation from TKOpenGl to TKV3d 
related to 0023484closedbugmaster Open CASCADE Visualization, TKOpenGl - primitive arrays to become the only way to render geometry 
related to 0025162closedbugmaster Open CASCADE Visualization, TKOpenGl - drop GLU library dependency 

-  Notes
(0034159)
kgv (developer)
2014-11-07 15:09
edited on: 2014-11-07 15:10

Dear bugmaster,

please close the issue - original problem in description does not exist anymore.
Since 0024381 trihedron uses OpenGl_PrimitiveArray for rendering primitives, so resources are now re-used without display lists.


- Issue History
Date Modified Username Field Change
2005-03-10 09:13 bugmaster Assigned To bugmaster => san
2005-03-10 09:13 bugmaster Status new => assigned
2005-03-21 10:23 san Assigned To san => skt
2010-07-01 11:39 bugmaster groupset1 => 4096
2010-07-01 11:39 bugmaster Customer => Community
2011-04-07 18:10 bugmaster Assigned To skt => apl
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2012-02-06 08:25 abv Relationship added related to 0007726
2012-10-23 10:32 kgv Relationship added related to 0023484
2012-10-23 10:47 abv Fixed in Version EMPTY =>
2012-10-23 10:47 abv Target Version => 6.6.0
2012-10-23 10:47 abv Description Updated View Revisions
2013-02-26 18:44 san Target Version 6.6.0 => 6.7.0
2013-11-06 14:51 kgv Target Version 6.7.0 => 6.7.1
2014-02-05 14:52 kgv Relationship added related to 0024291
2014-04-04 18:16 abv Target Version 6.7.1 => 6.8.0
2014-09-24 15:05 kgv Relationship added related to 0025162
2014-10-29 13:59 kgv Target Version 6.8.0 => 7.1.0
2014-11-07 15:09 kgv Note Added: 0034159
2014-11-07 15:09 kgv Assigned To apl => bugmaster
2014-11-07 15:09 kgv Status assigned => feedback
2014-11-07 15:09 kgv Resolution open => fixed
2014-11-07 15:09 kgv Fixed in Version => 6.8.0
2014-11-07 15:09 kgv Target Version 7.1.0 => 6.8.0
2014-11-07 15:10 kgv Note Edited: 0034159 View Revisions
2014-11-10 12:18 bugmaster Status feedback => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker